Returns detailed information for a specified committee report.

GET /committeeReport/:congress/:reportType/:reportNumber

Example Request

/v3/committeeReport/116/HRPT/617
::

{
    "committeeReports": [
        {
            "chamber": "House",
            "citation": "H. Rept. 116-617",
            "committees": [],
            "congSession": 2,
            "congress": 116,
            "isConferenceReport": true,
            "issueDate": "2020-12-03T05:00:00Z",
            "partNumber": 1,
            "reportNumber": 617,
            "reportType": "H.Rept.",
            "reportTypeCode": "HRPT",                    
            "title": "WILLIAM M. (MAC) THORNBERRY NATIONAL DEFENSE AUTHORIZATION ACT FOR FISCAL YEAR 2021",
            "updateDate": "2022-05-20T16:27:57Z"
        }
    ],
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 116.

string
required

The type of committee report. Value can be hrpt, srpt, or erpt.

integer
required

The committee report's assigned number. For example, the value can be 617.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!